Subject: Ticket Assigned - REFUND
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jul 2020 13:42:41 +0000 (UTC)

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  REFUND  Hi 

5th Reminder again!

This is regarding the pending refund of my items which is 128aed. All Items were returned on three weeks ago, 2nd Of July and still I have been still waiting for my refund!

I have been trying to reach customer care which is also useless and very poor service. Every time I called making different excuses ? already heard about your 15days story. Its been 23 days How many more 15 days ? And I have checked with bank there is no such a information. No one bother to give an exact reason behind late refund. This is so ridiculous! I bought this items last month.I have been writing emails since 23 days Can you imagine ?  
I believe this is so unprofessional when customers have to push or remind hundred times to get their refunds.

I am just wondering again If there is any right person to talk this matter or follow up this and delays. 
and I need my refunds soon as possible.

Order number- 9789367376
CTC NO- 0559482536

Anu

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1326059